Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::BoundSlot1_2< R, P1, P2 > Class Template Reference

Converts a slot taking two arguments into a slot taking one argument. More...

`#include <inti/bind.h>`

Inheritance diagram for Inti::BoundSlot1_2< R, P1, P2 >:

List of all members.

## Public Member Functions

- BoundSlot1_2 (Slot2< R, P1, P2 > *slot, P2 p2)
    Constructor.
- virtual ~BoundSlot1_2 ()
    Destructor.
- virtual R call (P1 p1) const
    Calls the original slot passing it argument p1 and the bound argument p as the last parameter.

## Detailed Description

### template<typename R, typename P1, typename P2>
class Inti::BoundSlot1_2< R, P1, P2 >

Converts a slot taking two arguments into a slot taking one argument.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2>
Inti::BoundSlot1_2< R, P1, P2 >::BoundSlot1_2 | ( | Slot2< R, P1, P2 > * | slot,
|  | P2 | p2
| ) | `[inline]`

  | Constructor. Parameters:
  slot | A pointer to a slot of type Slot1<R, P1, P2>.
  p2 | A bound argument of type P2

The documentation for this class was generated from the following file:

- bind.h

Main Page - Footer